classification
Title: Transient error in multiprocessing (test_number_of_objects)
Type: behavior Stage: test needed
Components: Library (Lib), Tests Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: jnoller Nosy List: BreamoreBoy, asksol, flox, jnoller, pitrou, vstinner
Priority: normal Keywords: buildbot

Created on 2009-05-04 21:33 by pitrou, last changed 2014-06-27 20:05 by vstinner. This issue is now closed.

Messages (8)
msg87182 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-05-04 21:33
Just got this on py3k, I can't reproduce unfortunately.

test test_multiprocessing failed -- Traceback (most recent call last):
  File "/home/antoine/py3k/__svn__/Lib/test/test_multiprocessing.py",
line 1070, in test_number_of_objects
    self.assertEqual(refs, EXPECTED_NUMBER)
AssertionError: 10 != 1
msg87183 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2009-05-04 21:35
there's not much I can do without the ability to reproduce it :(
msg99101 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-02-09 10:17
Closed duplicate reports #6366 and #6747.
msg99582 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-02-19 16:43
Again, but with more details:
http://www.python.org/dev/buildbot/all/builders/i386%20Ubuntu%203.1/builds/302

test_multiprocessing
Process Process-49:
Traceback (most recent call last):
  File "/scratch/pybot-buildarea/3.1.klose-ubuntu-i386/build/Lib/multiprocessing/process.py", line 233, in _bootstrap
    self.run()
  File "/scratch/pybot-buildarea/3.1.klose-ubuntu-i386/build/Lib/multiprocessing/process.py", line 88, in run
    self._target(*self._args, **self._kwargs)
  File "/scratch/pybot-buildarea/3.1.klose-ubuntu-i386/build/Lib/test/test_multiprocessing.py", line 616, in f
    woken.release()
  File "/scratch/pybot-buildarea/3.1.klose-ubuntu-i386/build/Lib/multiprocessing/managers.py", line 962, in release
    return self._callmethod('release')
  File "/scratch/pybot-buildarea/3.1.klose-ubuntu-i386/build/Lib/multiprocessing/managers.py", line 750, in _callmethod
    raise convert_to_error(kind, result)
multiprocessing.managers.RemoteError: 
---------------------------------------------------------------------------
Traceback (most recent call last):
  File "/scratch/pybot-buildarea/3.1.klose-ubuntu-i386/build/Lib/multiprocessing/managers.py", line 219, in serve_client
    obj, exposed, gettypeid = id_to_obj[ident]
KeyError: 'cc9dc3c'
---------------------------------------------------------------------------
test test_multiprocessing failed -- Traceback (most recent call last):
  File "/scratch/pybot-buildarea/3.1.klose-ubuntu-i386/build/Lib/test/test_multiprocessing.py", line 1077, in test_number_of_objects
    self.assertEqual(refs, EXPECTED_NUMBER)
AssertionError: 9 != 1
msg100405 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-03-04 18:20
It might be related to #7805. Let see if it happens again.
msg113329 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-08-08 21:31
Confirmed on some buildbots.
msg113905 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-08-14 15:10
It happens on some 3.1 buildbots:
 - x86 FreeBSD 7.2 3.1 r83984, r83968, ...
   http://www.python.org/dev/buildbot/all/builders/x86%20FreeBSD%207.2%203.1/builds/595
 - ARMv4 Debian 3.1 r83831, r83805, r83772, ...
   http://www.python.org/dev/buildbot/all/builders/ARMv4%20Debian%203.1/builds/257


(...)
test_number_of_objects (test.test_multiprocessing.WithManagerTestZZZNumberOfObjects) ...
  2c44bbe0:       refcount=1
    <_thread.lock object at 0x2c44bbe0>
  2c56030c:       refcount=2
    <multiprocessing.pool.Pool object at 0x2c56030c>
  2cf51a0c:       refcount=1
    <_RLock owner=None count=0>
  2e3b81b4:       refcount=1
    <generator object <genexpr> at 0x2e3b81b4>
  2e466e34:       refcount=1
    <multiprocessing.pool.ApplyResult object at 0x2e466e34>
  2e5a506c:       refcount=1
    <multiprocessing.pool.IMapIterator object at 0x2e5a506c>
  2c44bbe0:       refcount=1
    <_thread.lock object at 0x2c44bbe0>
  2c56030c:       refcount=2
    <multiprocessing.pool.Pool object at 0x2c56030c>
  2cf51a0c:       refcount=1
    <_RLock owner=None count=0>
  2e3b81b4:       refcount=1
    <generator object <genexpr> at 0x2e3b81b4>
  2e466e34:       refcount=1
    <multiprocessing.pool.ApplyResult object at 0x2e466e34>
  2e5a506c:       refcount=1
    <multiprocessing.pool.IMapIterator object at 0x2e5a506c>
FAIL

(...)
======================================================================
FAIL: test_number_of_objects (test.test_multiprocessing.WithManagerTestZZZNumberOfObjects)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/db3l/buildarea/3.1.bolen-freebsd7/build/Lib/test/test_multiprocessing.py", line 1085, in test_number_of_objects
    self.assertEqual(refs, EXPECTED_NUMBER)
AssertionError: 6 != 1
msg221705 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-27 18:41
Can this be closed as "out of date"?
History
Date User Action Args
2014-06-27 20:05:55vstinnersetstatus: open -> closed
resolution: out of date
2014-06-27 18:41:45BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221705
versions: + Python 3.4, Python 3.5, - Python 3.1, Python 3.2
2010-11-02 14:37:27asksolsetnosy: + asksol
2010-08-14 15:20:15floxsetversions: + Python 3.2
2010-08-14 15:10:58floxsetmessages: + msg113905
versions: - Python 3.2
2010-08-08 21:31:20floxsetmessages: + msg113329
2010-04-18 22:33:00vstinnersetnosy: + vstinner
2010-04-18 22:03:37vstinnersettitle: Transient error in multiprocessing -> Transient error in multiprocessing (test_number_of_objects)
2010-03-04 18:20:23floxsetmessages: + msg100405
2010-02-19 16:43:44floxsetkeywords: + buildbot

messages: + msg99582
2010-02-09 10:17:48floxsetnosy: + flox
messages: + msg99101
2010-02-08 20:01:15floxsetversions: + Python 3.2
components: + Tests
stage: needs patch -> test needed
2010-02-08 19:59:32floxlinkissue6747 superseder
2010-02-08 19:56:33floxlinkissue6366 superseder
2009-05-04 21:35:14jnollersetmessages: + msg87183
2009-05-04 21:33:23pitroucreate